#ifndef __DEQUE_H__
#define __DEQUE_H__

#include "linkedlist.h"

class deque {
    public:
        linkedlist l;
		bool addToDequeLeft(int id);
		bool addToDequeRight(int id);
		int removeFromDequeLeft();
		int removeFromDequeRight();
		int showTopOfDequeLeft();
		int showTopOfDequeRight();
		int showSizeOfDeque();
        bool in_deque(int id);
};
#endif
